Package com.io7m.idstore.admin_client.internal

# Class IdAHandlerDisconnected

java.lang.Object
com.io7m.idstore.admin_client.internal.IdAHandlerAbstract
com.io7m.idstore.admin_client.internal.IdAHandlerDisconnected

All Implemented Interfaces:
  `com.io7m.hibiscus.basic.HBClientHandlerType<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>`, `IdAHandlerType`

public final class IdAHandlerDisconnected extends IdAHandlerAbstract
The initial "disconnected" protocol handler.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAHandlerDisconnected(IdAClientConfiguration inConfiguration, IdStrings inStrings, HttpClient inHttpClient)`
  Construct a handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onDisconnect()`
  `com.io7m.hibiscus.api.HBResultType<IdAResponseType,IdAResponseError>`
  `onExecuteCommand(IdACommandType<?> command)`
  `com.io7m.hibiscus.api.HBResultType<com.io7m.hibiscus.basic.HBClientNewHandler<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>,IdAResponseError>`
  `onExecuteLogin(IdAClientCredentials credentials)`
  `boolean`
  `onIsConnected()`
  `List<IdAClientEventType>`
  `onPollEvents()`

  ### Methods inherited from class com.io7m.idstore.admin_client.internal.IdAHandlerAbstract

  `configuration, httpClient, local, strings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdAHandlerDisconnected

    public IdAHandlerDisconnected(IdAClientConfiguration inConfiguration, IdStrings inStrings, HttpClient inHttpClient)
    Construct a handler.
    Parameters:
      `inConfiguration` - The configuration
      `inStrings` - The string resources
      `inHttpClient` - The client

- ## Method Details

  - ### onIsConnected

    public boolean onIsConnected()

  - ### onPollEvents

    public List<IdAClientEventType> onPollEvents()

  - ### onExecuteLogin

    public com.io7m.hibiscus.api.HBResultType<com.io7m.hibiscus.basic.HBClientNewHandler<IdAClientException,IdACommandType<?>,IdAResponseType,IdAResponseType,IdAResponseError,IdAClientEventType,IdAClientCredentials>,IdAResponseError> onExecuteLogin(IdAClientCredentials credentials) throws InterruptedException
    Throws:
      `InterruptedException`

  - ### onExecuteCommand

    public com.io7m.hibiscus.api.HBResultType<IdAResponseType,IdAResponseError> onExecuteCommand(IdACommandType<?> command)

  - ### onDisconnect

    public void onDisconnect()